# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='SiteConfiguration',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('base_url', models.CharField(max_length=256, null=True, blank=True)),
                ('google_analytics', models.CharField(max_length=128, null=True, blank=True)),
                ('google_analytics_domain', models.CharField(max_length=128, null=True, blank=True)),
                ('enable_comments', models.BooleanField(default=True)),
                ('disqus_shortname', models.CharField(max_length=128, null=True, blank=True)),
                ('show_share_buttons', models.BooleanField(default=True)),
                ('twitter_username', models.CharField(max_length=128, null=True, blank=True)),
                ('readmore_tag', models.CharField(default=b'<!--readmore-->', max_length=128)),
                ('entries_per_page', models.IntegerField(default=4)),
                ('rss_items', models.IntegerField(default=10)),
                ('rss_blog_title', models.CharField(max_length=128, null=True, blank=True)),
                ('rss_blog_description', models.CharField(max_length=256, null=True, blank=True)),
            ],
            options={
                'verbose_name': 'Site Configuration',
                'verbose_name_plural': 'Site Configuration',
            },
            bases=(models.Model,),
        ),
    ]
